| Home | Libraries | People | FAQ | More

### mutable_buffers_1

Adapts a single modifiable buffer so that it meets the requirements of the MutableBufferSequence concept.

    class mutable_buffers_1 :
      public mutable_buffer

##### Types

Name | Description
--- | ---
const_iterator | A random-access iterator type that may be used to read elements.
value_type | The type for each element in the list of buffers.

##### Member Functions

Name | Description
--- | ---
begin | Get a random-access iterator to the first element.
end | Get a random-access iterator for one past the last element.
mutable_buffers_1 | Construct to represent a given memory range. Construct to represent a single modifiable buffer.

##### Related Functions

Name | Description
--- | ---
operator+ | Create a new modifiable buffer that is offset from the start of another.

##### Requirements

Header: `boost/asio/buffer.hpp`

Convenience header: `boost/asio.hpp`